<?php

/*
 * $Id: info_gepi.php 4446 2010-05-15 19:39:28Z delineau $
 *
 * Copyright 2001-2004 Thomas Belliard, Laurent Delineau, Edouard Hue, Eric Lebrun
 *
 * This file is part of GEPI.
 *
 * GEPI is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * GEPI is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GEPI; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

// Initialisations files
require_once("../lib/initialisations.inc.php");
// Resume session

$resultat_session = $session_gepi->security_check();

if ($resultat_session == '0') {

   header("Location: ../logout.php?auto=1");

   die();

};

//**************** EN-TETE *****************

require_once("../lib/header.inc");

//**************** FIN EN-TETE *************



?>

<h1 class='gepi'>GEPI - Informations gnrales</h1>

<?php

echo "Vous tes actuellement connect sur l'application <b>GEPI (".getSettingValue("gepiSchoolName").")</b>.

<br />Par scurit, si vous n'envoyez aucune information au serveur (activation d'un lien ou soumission d'un formulaire) pendant plus de <b>".getSettingValue("sessionMaxLength")." minutes</b>, vous serez automatiquement dconnect de l'application.";

echo "<h2>Administration de l'application GEPI</h2>\n";

echo "<table cellpadding='5' summary='Infos'>\n";

echo "<tr><td>Nom et prnom de l'administrateur : </td><td><b>".getSettingValue("gepiAdminNom")." ".getSettingValue("gepiAdminPrenom")."</b></td></tr>\n";

echo "<tr><td>Fonction de l'administrateur : </td><td><b>".getSettingValue("gepiAdminFonction")."</b></td></tr>\n";

echo "<tr><td>Email de l'administrateur : </td><td><b><a href=\"mailto:" . getSettingValue("gepiAdminAdress") . "\">".getSettingValue("gepiAdminAdress")."</a></b></td></tr>\n";

echo "<tr><td>Nom de l'tablissement : </td><td><b>".getSettingValue("gepiSchoolName")."</b></td></tr>\n";

echo "<tr><td Valign='top'>Adresse : </td><td><b>".getSettingValue("gepiSchoolAdress1")."<br />".getSettingValue("gepiSchoolAdress2")."<br />".getSettingValue("gepiSchoolZipCode").", ".getSettingValue("gepiSchoolCity")."</b></td></tr>\n";

echo "</table>\n";



echo "<h2>Objectifs de l'application GEPI</h2>\n";

echo "L'objectif de GEPI est la <b>gestion pdagogique des lves et de leur scolarit</b>.

Dans ce but, des donnes sont collectes et stockes dans une base unique de type MySql.";



echo "<h2>Obligations de l'utilisateur</h2>\n";

echo "Les membres de l'quipe pdagogique sont tenus de remplir les rubriques qui leur ont t affectes par l'administrateur

lors du paramtrage de l'application.";

echo "<br />Il est possible de modifier le contenu d'une rubrique tant que la priode concerne n'a pas t close par l'administrateur.";



echo "<h2>Destinataires des donnes relatives au bulletin scolaire</h2>\n";

echo "Concernant le bulletin scolaire, les donnes suivantes sont rcoltes auprs des membres de l'quipe pdagogique :

<ul><li>absences (pour chaque priode : nombre de demi-journes d'absence, nombre d'absences non justifies, nombre de retards, observations)</li>

<li>moyennes et apprciations par matire,</li>

<li>moyennes et apprciations par projet inter-disciplinaire,</li>

<li>avis du conseil de classe.</li>

</ul>

Toutes ces informations sont intgralement reproduites sur un bulletin  la fin de chaque priode (voir ci-dessous).

<br /><br />

Ces donnes servent  :

<ul>

<li>l'laboration d'un bulletin  la fin de chaque priode, dit par le service scolarit et communiqu  llve

et  ses responsables lgaux : notes obtenues, absences, moyennes, apprciations des enseignants, avis du conseil de classe.</li>

<li>l'laboration d'un document de travail reprenant les informations du bulletin officiel et disponible pour les membres de l'quipe pdagogique de la classe concerne</li>

</ul>\n";





//On vrifie si le module cahiers de texte est activ

if (getSettingValue("active_cahiers_texte")=='y') {

    echo "<h2>Destinataires des donnes relatives au cahier de texte</h2>\n";

    echo "Conformment aux directives de l'Education Nationale, chaque professeur dispose dans GEPI d'un cahier de texte pour chacune de ses classes qu'il peut tenir  jour

    en tant connect.

    <br />

    Le cahier de texte relate le travail ralis en classe :

    <ul>

    <li>projet de l'quipe pdagogique,</li>

    <li>contenu pdagogique de chaque sance, chronologie, objectif vis, travail  faire ...</li>

    <li>documents divers,</li>

    <li>valuations, ...</li>

    </ul>

    Il constitue un outil de communication pour l'lve, les quipes disciplinaires

    et pluridisciplinaires, l'administration, le chef d'tablissement, les corps d'inspection et les familles.

    <br /> Les cahiers de texte sont accessibles en ligne.";

    if ((getSettingValue("cahiers_texte_login_pub") != '') and (getSettingValue("cahiers_texte_passwd_pub") != '')) {

       echo " <b>En raison du caractre personnel du contenu, l'accs  l'interface de consultation publique est restreint</b>. Pour accder aux cahiers de texte, il est ncessaire de demander auprs de l'administrateur,

       le nom d'utilisateur et le mot de passe valides.";

    } else {

       echo " <b>L'accs  l'interface de consultation publique est entirement libre et n'est soumise  aucune restriction.</b>\n";

    }



}

//On vrifie si le module carnet de notes est activ

if (getSettingValue("active_carnets_notes")=='y') {

    echo "<h2>Destinataires des donnes relatives au carnet de notes</h2>\n";

    echo "Chaque professeur dispose dans GEPI d'un carnet de notes pour chacune de ses classes, qu'il peut tenir  jour

    en tant connect.

    <br />

    Le carnet de note permet la saisie des notes et/ou des commentaires de tout type d'valuation (formatives, sommatives, oral, TP, TD, ...).

    <br /><b>Le professeur s'engage  ne faire figurer dans le carnet de notes que des notes et commentaires ports  la connaissance de l'lve (note et commentaire ports sur la copie, ...).</b>

    Ces donnes stockes dans GEPI n'ont pas d'autre destinataire que le professeur lui-mme et le ou les professeurs principaux de la classe.

    <br />Les notes peuvent servir  l'laboration d'une moyenne qui figurera dans le bulletin officiel  la fin de chaque priode.";

}

//On vrifie si le plugin suivi_eleves est activ
$test_plugin = sql_query1("select ouvert from plugins where nom='suivi_eleves'");
if ($test_plugin=='y') {
    echo "<h2>Destinataires des donnes relatives au module de suivi des lves</h2>\n";

    echo "Chaque professeur dispose dans GEPI d'un outil de suivi des lves (\"observatoire\") pour chacune de ses classes, qu'il peut tenir  jour

    en tant connect.

    <br />

    Dans l'observatoire, le professeur a la possibilit d'attribuer  chacun de ses lves un code pour chaque priode.

    Ces codes et leur signification sont paramtrables par les administrateurs de l'observatoire dsigns par l'administrateur gnral de GEPI.

    <br />.

    Le professeur dispose galement de la possibilit de saisir un commentaire pour chacun de ses lves

    dans le respect de la loi et dans le cadre strict de l'Education Nationale.

    <br /><br />L'observatoire et les donnes qui y figurent sont accessibles  l'ensemble de l'quipe pdagogique de l'tablissement.

    <br /><br />Dans le respect de la loi informatique et libert 78-17 du 6 janvier 1978, chaque lve a galement accs dans son espace GEPI aux donnes qui le concernent";

}
require("../lib/footer.inc.php");
?>