<?php

/*
 * $Id: index.php 2147 2008-07-23 09:01:04Z tbelliard $
 *
 * Copyright 2001, 2005 Thomas Belliard, Laurent Delineau, Edouard Hue, Eric Lebrun
 *
 * This file is part of GEPI.
 *
 * GEPI is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * GEPI is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GEPI; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

// Initialisations files
require_once("../lib/initialisations.inc.php");
// Resume session
$resultat_session = $session_gepi->security_check();
if ($resultat_session == 'c') {
header("Location: ../utilisateurs/mon_compte.php?change_mdp=yes");
die();

} else if ($resultat_session == '0') {
    header("Location: ../logout.php?auto=1");
die();
};

if (!checkAccess()) {
    header("Location: ../logout.php?auto=1");
die();
}

if (!function_exists("dbase_open"))  {
    $msg = "ATTENTION : PHP n'est pas configur pour grer les fichiers GEP (dbf). L'extension  d_base n'est pas active. Adressez-vous  l'administrateur du serveur pour corriger le problme.";
}

//**************** EN-TETE *****************
$titre_page = "Outil d'initialisation de l'anne";
require_once("../lib/header.inc");
//**************** FIN EN-TETE *****************
?>
<p class=bold><a href="../gestion/index.php"><img src='../images/icons/back.png' alt='Retour' class='back_link'/> Retour</a></p>

<p>Vous allez effectuer l'initialisation de l'anne scolaire qui vient de dbuter.</p>
<ul>
<li>
	<p>Au cours de la procdure, le cas chant, certaines donnes de l'anne passe seront dfinitivement effaces de la base GEPI (lves, notes, apprciations, ...).<br />
	Seules seront conserves les donnes suivantes :<br /></p>
	<ul>
		<li><p>les donnes relatives aux tablissements,</p></li>
		<li><p>les donnes relatives aux classes : intituls courts, intituls longs, nombre de priodes et noms des priodes,</p></li>
		<li><p>les donnes relatives aux matires : identifiants et intituls complets,</p></li>
		<li><p>les donnes relatives aux utilisateurs (professeurs, administrateurs, ...). Concernant les professeurs, les matires enseignes par les professeurs sont conserves,</p></li>
		<li><p>Les donnes relatives aux diffrents types d'AID.</p></li>
	</ul>
</li>
<li>
	<?php
	//==================================
	// RNE de l'tablissement pour comparer avec le RNE de l'tablissement de l'anne prcdente
	$gepiSchoolRne=getSettingValue("gepiSchoolRne") ? getSettingValue("gepiSchoolRne") : "";
	//==================================
	if($gepiSchoolRne=="") {
		echo "<p><b style='color:red;'>Attention</b>: Le RNE de l'tablissement n'est pas renseign dans 'Gestion gnrale/<a href='../gestion/param_gen.php' target='_blank'>Configuration gnrale</a>'<br />Cela peut perturber l'import de l'tablissement d'origine des lves.<br />Vous devriez corriger avant de poursuivre.</p>\n";
	}
	?>

	<p>L'initialisation s'effectue en quatre phases, chacune ncessitant un fichier GEP particulier <b>ou des CSV</b>:</p>
	<ul>
		<li><p>Vous devez disposer des fichiers F_ELE.DBF et F_ERE.DBF gnrs par l'AutoSco.<br />
		Gnrer le F_ELE.CSV correspondant au F_ELE.DBF depuis Sconet est assez facile sauf pour l'ERENO qui n'est pas rcupr et du coup gnrer un F_ERE.CSV n'est pas commode.<br />Il faut en effet fixer arbitrairement un ERENO pour faire le lien entre parents et enfants et ne rcuprer que les entres souhaites de Sconet pour les parents (<i>on rcupre l plus de deux lignes par lve...</i>)...<br />Bref, j'ai laiss en plan.</p></li>
		<li><p>Vous pouvez gnrer les fichiers F_TMT.CSV, F_MEN.CSV et F_GPD.CSV  l'aide de l'export XML de STS une fois l'emploi du temps remont.</p>
		<p>Vous pouvez galement complter partiellement le F_WIND.CSV de cette faon.<br />
		Partiellement parce que certains champs ne sont pas rcuprs:</p>
		<ul>
			<!--li>le NUMEN (INDNNI) utilis comme mot de passe par dfaut par GEPI n'est pas rcupr.<br />
			Vous devrez complter les champs mots-de-passe (<i>ou accepter les mots de passe alatoires proposs (les noter/imprimer pour transmettre aux collgues)</i>).</li-->
			<li>le NUMEN (INDNNI) utilis comme mot de passe par dfaut par GEPI n'est pas rcupr.<br />
			Il est alors propos de dfinir un mot de passe alatoire ou d'utiliser la date de naissance  la place.</li>
			<li>La civilit n'est pas rcupre non plus (<i>mais il est assez facile de la complter</i>).</li>
			<li>Enfin, le champ FONCCO n'est pas rempli non plus (<i>mais c'est en principe 'ENS' pour tous les enseignants</i>).</li>
		</ul>
		<p><a href='lecture_xml_sts_emp.php'>Gnrer les fichiers CSV  partir de l'export XML de STS</a>.</p></li>
	</ul>
</li>
<li>
	<p>Pour procder aux importations:</p>
	<ul>
		<li><p><a href='step1.php'>Procder  la premire phase</a> d'importation des lves,  de constitution des classes et d'affectation des lves dans les classes : le fichier <b>F_ELE.DBF</b> est requis.</p></li>
		<li><p><a href='responsables.php'>Procder  la deuxime phase</a> d'importation des responsables des lves : le fichier <b>F_ERE.DBF</b> est requis.</p></li>
		<li><p><a href='disciplines_csv.php'>Procder  la troisime phase</a> d'importation des matires : le fichier <b>F_tmt.csv</b> est requis.</p></li>
		<li><p><a href='prof_csv.php'>Procder  la quatrime phase</a> d'importation des professeurs : le fichier <b>F_wind.csv</b> est requis.</p></li>
		<li><p><a href='prof_disc_classe_csv.php'>Procder  la cinquime phase</a> d'affectation des matires  chaque professeur, d'affectation des professeurs dans chaque classe  et de dfinition des options suivies par les lves : les fichiers <b>F_men.csv</b> et <b>F_gpd.csv</b> sont requis.</p></li>

		<li><p><a href='init_pp.php'>Procder  la sixime phase</a>: Initialisation des professeurs principaux.</p></li>

		<li><p><a href='clean_tables.php'>Procder  la septime phase</a> de nettoyage des donnes : les donnes inutiles importes  partir des fichiers GEP lors des diffrentes phases d'initialisation seront effaces !</p></li>

	</ul>
</li>
<li>
	<p>Une fois toute la procdure d'initialisation des donnes termine, il vous sera possible d'effectuer toutes les modifications ncessaires au cas par cas par le biais des outils de gestion inclus dans <b>GEPI</b>.</p>
</li>
</ul>
<?php require("../lib/footer.inc.php");?>