<?php
/*
 * $Id: eleves.php 3318 2009-07-31 11:27:01Z crob $
 *
 * Copyright 2001, 2005 Thomas Belliard, Laurent Delineau, Edouard Hue, Eric Lebrun
 *
 * This file is part of GEPI.
 *
 * GEPI is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * GEPI is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GEPI; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
function connect_ldap($l_adresse,$l_port,$l_login,$l_pwd) {
    $ds = @ldap_connect($l_adresse, $l_port);
    if($ds) {
       // On dit qu'on utilise LDAP V3, sinon la V2 par d?faut est utilis? et le bind ne passe pas.
       $norme = @ldap_set_option($ds, LDAP_OPT_PROTOCOL_VERSION, 3);
       // Acc?s non anonyme
       if ($l_login != '') {
          // On tente un bind
          $b = @ldap_bind($ds, $l_login, $l_pwd);
       } else {
          // Acc?s anonyme
          $b = @ldap_bind($ds);
       }
       if ($b) {
           return $ds;
       } else {
           return false;
       }
    } else {
       return false;
    }
}


// Initialisations files
require_once("../lib/initialisations.inc.php");

// Resume session
$resultat_session = $session_gepi->security_check();
if ($resultat_session == 'c') {
    header("Location: ../utilisateurs/mon_compte.php?change_mdp=yes");
    die();
} else if ($resultat_session == '0') {
    header("Location: ../logout.php?auto=1");
    die();
};

if (!checkAccess()) {
    header("Location: ../logout.php?auto=1");
    die();
}

$liste_tables_del = array(
"absences",
"absences_gep",
"aid",
"aid_appreciations",
//"aid_config",
"avis_conseil_classe",
//"classes",
//"droits",
"eleves",
"responsables",
"responsables2",
"resp_pers",
"resp_adr",
//"etablissements",
"j_aid_eleves",
"j_aid_eleves_resp",
"j_aid_utilisateurs",
"j_aid_utilisateurs_gest",
"j_eleves_classes",
//==========================
// On ne vide plus la table chaque anne
// Problme avec Sconet qui rcupre seulement l'tablissement de l'anne prcdente qui peut tre l'tablissement courant
//"j_eleves_etablissements",
//==========================
"j_eleves_professeurs",
"j_eleves_regime",
//"j_professeurs_matieres",
//"log",
//"matieres",
"matieres_appreciations",
"matieres_notes",
"matieres_appreciations_grp",
"matieres_appreciations_tempo",
//==========================
// Tables notanet
'notanet',
'notanet_avis',
'notanet_app',
'notanet_verrou',
'notanet_socles',
'notanet_ele_type',
//==========================
//"periodes",
//"periodes_observatoire",
"tempo2",
//"temp_gep_import",
"tempo",
//"utilisateurs",
"cn_cahier_notes",
"cn_conteneurs",
"cn_devoirs",
"cn_notes_conteneurs",
"cn_notes_devoirs",
//"groupes",
"j_eleves_groupes",
"j_groupes_classes",
//"j_groupes_matieres",
//"j_groupes_professeurs",
"eleves_groupes_settings"
//"setting"
);

// Initialisation
$lcs_ldap_people_dn = 'ou=people,'.$lcs_ldap_base_dn;
$lcs_ldap_groups_dn = 'ou=groups,'.$lcs_ldap_base_dn;

function add_eleve($_login, $_nom, $_prenom, $_civilite, $_naissance, $_elenoet = 0) {
    // Fonction d'ajout d'un lve dans la base Gepi
    if ($_civilite != "M" && $_civilite != "F") {
        if ($_civilite == 1) {
            $_civilite = "M";
        } elseif ($_civilite == 0) {
            $_civilite = "F";
        } else {
            $_civilite = "F";
        }
    }

    // Si l'lve existe dj, on met simplement  jour ses informations...
    $test = mysql_query("SELECT login FROM eleves WHERE login = '" . $_login . "'");
    if (mysql_num_rows($test) > 0) {
        $record = mysql_query("UPDATE eleves SET nom = '" . $_nom . "', prenom = '" . $_prenom . "', sexe = '" . $_civilite . "', naissance = '" . $_naissance . "', elenoet = '" . $_elenoet . "' WHERE login = '" . $_login . "'");
    } else {
        $query = "INSERT into eleves SET
        login= '" . $_login . "',
        nom = '" . $_nom . "',
        prenom = '" . $_prenom . "',
        sexe = '" . $_civilite . "',
        naissance = '". $_naissance ."',
        elenoet = '".$_elenoet."'";
        $record = mysql_query($query);
    }

    if ($record) {
        return true;
    } else {
        return false;
    }
}


//**************** EN-TETE *****************
$titre_page = "Outil d'initialisation de l'anne : Importation des lves";
require_once("../lib/header.inc");
//**************** FIN EN-TETE *****************
?>
<script type="text/javascript">
<!--
function CocheCase(boul){
  len = document.formulaire.elements.length;
  for( i=0; i<len; i++) {
    if (document.formulaire.elements[i].type=='checkbox') {
      document.formulaire.elements[i].checked = boul ;
    }
  }
 }

function InverseSel(){
  len = document.formulaire.elements.length;
  for( i=0; i<len; i++) {
    if (document.formulaire.elements[i].type=='checkbox') {
      a=!document.formulaire.elements[i].checked  ;
      document.formulaire.elements[i].checked = a
    }
   }
}

function MetVal(cible){
len = document.formulaire.elements.length;
if ( cible== 'nom' ) {
  a=2;
  b=document.formulaire.nom.value;
  } else {
  a=3;
  b=document.formulaire.pour.value;
  }
for( i=0; i<len; i++) {
if ((document.formulaire.elements[i].type=='checkbox')
     &&
    (document.formulaire.elements[i].checked)
    ) {
document.formulaire.elements[i+a].value = b ;
}}}
 // -->
</script>

<?php



echo "<p class=bold><a href='../init_lcs/index.php'><img src='../images/icons/back.png' alt='Retour' class='back_link'/> Retour</a></p>";

if (isset($_POST['step'])) {
    // L'admin a valid la procdure, on procde donc...

    // On se connecte au LDAP
    $ds = connect_ldap($lcs_ldap_host,$lcs_ldap_port,"","");

    //----***** STEP 1 *****-----//

    if ($_POST['step'] == "1") {
        // La premire tape consiste  importer les classes

        if ($_POST['record'] == "yes") {
            // Les donnes ont t postes, on les traite donc immdiatement

            $j=0;
            while ($j < count($liste_tables_del)) {
                if (mysql_result(mysql_query("SELECT count(*) FROM ".$liste_tables_del[$j]),0)!=0) {
                    $del = @mysql_query("DELETE FROM $liste_tables_del[$j]");
                }
                $j++;
            }

            // On va enregistrer la liste des classes, ainsi que les priodes qui leur seront attribues

            $sr = ldap_search($ds,$lcs_ldap_groups_dn,"(cn=Classe*)");
            $data = ldap_get_entries($ds,$sr);
            for ($i=0;$i<$data["count"];$i++) {
                $classe=preg_replace("/Classe_/","",$data[$i]["cn"][0]);
                // On enregistre la classe
                // On teste d'abord :
                $test = mysql_result(mysql_query("SELECT count(*) FROM classes WHERE (classe='$classe')"),0);

                if ($test == "0") {
                    //$reg_classe = mysql_query("INSERT INTO classes SET classe='".$classe."',nom_complet='".$_POST['reg_nom_complet'][$classe]."',suivi_par='".$_POST['reg_suivi'][$classe]."',formule='".$_POST['reg_formule'][$classe]."', format_nom='np'");
                    $reg_classe = mysql_query("INSERT INTO classes SET classe='".$classe."',nom_complet='".$_POST['reg_nom_complet'][$classe]."',suivi_par='".$_POST['reg_suivi'][$classe]."',formule='".html_entity_decode($_POST['reg_formule'][$classe])."', format_nom='np'");
                } else {
                    //$reg_classe = mysql_query("UPDATE classes SET classe='".$classe."',nom_complet='".$_POST['reg_nom_complet'][$classe]."',suivi_par='".$_POST['reg_suivi'][$classe]."',formule='".$_POST['reg_formule'][$classe]."', format_nom='np' WHERE classe='$classe'");
                    $reg_classe = mysql_query("UPDATE classes SET classe='".$classe."',nom_complet='".$_POST['reg_nom_complet'][$classe]."',suivi_par='".$_POST['reg_suivi'][$classe]."',formule='".html_entity_decode($_POST['reg_formule'][$classe])."', format_nom='np' WHERE classe='$classe'");
                }
                if (!$reg_classe) echo "<p>Erreur lors de l'enregistrement de la classe $classe.";

                // On enregistre les priodes pour cette classe
                // On teste d'abord :
                $id_classe = mysql_result(mysql_query("select id from classes where classe='$classe'"),0,'id');
                $test = mysql_result(mysql_query("SELECT count(*) FROM periodes WHERE (id_classe='$id_classe')"),0);
                if ($test == "0") {
                    $j = '0';
                    while ($j < $_POST['reg_periodes_num'][$classe]) {
                        $num = $j+1;
                        $nom_per = "Priode ".$num;
                        if ($num == "1") { $ver = "N"; } else { $ver = 'O'; }
                        $register = mysql_query("INSERT INTO periodes SET num_periode='$num',nom_periode='$nom_per',verouiller='$ver',id_classe='$id_classe'");
                        if (!$register) echo "<p>Erreur lors de l'enregistrement d'une priode pour la classe $classe";
                        $j++;
                    }
                } else {
                    // on "dmarque" les priodes des classes qui ne sont pas  supprimer
                    $sql = mysql_query("UPDATE periodes SET verouiller='N' where (id_classe='$id_classe' and num_periode='1')");
                    $sql = mysql_query("UPDATE periodes SET verouiller='O' where (id_classe='$id_classe' and num_periode!='1')");
                    //
                    $nb_per = mysql_num_rows(mysql_query("select num_periode from periodes where id_classe='$id_classe'"));
                    if ($nb_per > $_POST['reg_periodes_num'][$classe]) {
                        // Le nombre de priodes de la classe est infrieur au nombre enregistr
                        // On efface les priodes en trop
                        $k = 0;
                        for ($k=$_POST['reg_periodes_num'][$classe]+1; $k<$nb_per+1; $k++) {
                            $del = mysql_query("delete from periodes where (id_classe='$id_classe' and num_periode='$k')");
                        }
                    }
                    if ($nb_per < $_POST['reg_periodes_num'][$classe]) {

                        // Le nombre de priodes de la classe est suprieur au nombre enregistr
                        // On enregistre les priodes
                        $k = 0;
                        $num = $nb_per;
                        for ($k=$nb_per+1 ; $k < $_POST['reg_periodes_num'][$classe]+1; $k++) {
                            $num++;
                            $nom_per = "Priode ".$num;
                            if ($num == "1") { $ver = "N"; } else { $ver = 'O'; }
                            $register = mysql_query("INSERT INTO periodes SET num_periode='$num',nom_periode='$nom_per',verouiller='$ver',id_classe='$id_classe'");
                            if (!$register) echo "<p>Erreur lors de l'enregistrement d'une priode pour la classe $classe";
                        }
                    }
                }

            }

            // On efface les classes qui ne sont pas rutilises cette anne  ainsi que les entres correspondantes dans  j_classes_matieres_professeurs
            $sql = mysql_query("select distinct id_classe from periodes where verouiller='T'");
            $k = 0;
            while ($k < mysql_num_rows($sql)) {
               $id_classe = mysql_result($sql, $k);
               $res1 = mysql_query("delete from classes where id='".$id_classe."'");
               $res2 = mysql_query("delete from j_classes_matieres_professeurs where id_classe='".$id_classe."'");
               // On supprime les groupes qui taient lies  la classe
               $get_groupes = mysql_query("SELECT id_groupe FROM j_groupes_classes WHERE id_classe = '" . $id_classe . "'");
               for ($l=0;$l<$nb_groupes;$l++) {
                    $id_groupe = mysql_result($get_groupes, $l, "id_groupe");
                    $delete2 = mysql_query("delete from j_groupes_classes WHERE id_groupe = '" . $id_groupe . "'");
                    // On regarde si le groupe est toujours li  une autre classe ou pas
                    $check = mysql_result(mysql_query("SELECT count(*) FROM j_groupes_classes WHERE id_groupe = '" . $id_groupe . "'"), 0);
                    if ($check == "0") {
                        $delete1 = mysql_query("delete from groupes WHERE id = '" . $id_groupe . "'");
                        $delete2 = mysql_query("delete from j_groupes_matieres WHERE id_groupe = '" . $id_groupe . "'");
                        $delete2 = mysql_query("delete from j_groupes_professeurs WHERE id_groupe = '" . $id_groupe . "'");
                    }
               }
               $k++;
            }
            $res = mysql_query("delete from periodes where verouiller='T'");
            echo "<p>Vous venez d'effectuer l'enregistrement des donnes concernant les classes. S'il n'y a pas eu d'erreurs, vous pouvez aller  l'tape suivante pour enregistrer les donnes concernant les lves.</p>";
            echo "<p><b>ATTENTION</b> :<br>Les champs \"rgime\" (demi-pensionnaire, externe, ...), \"doublant\"  et \"identifiant national\" ne sont pas prsents dans l'annuaire LDAP.
            Il en est de mme de toutes les informations sur les responsables des lves.
            <br />A l'issue de cette tape, <b>vous devrez donc procder  une opration consistant  convertir la table \"eleves\" et  importer les informations manquantes.</b>
            <br />Vous devrez pour cela fournir des fichiers CSV (ELEVES.CSV, PERSONNES.CSV, RESPONSABLES.CSV et ADRESSES.CSV) <b><a href=\"../init_xml/lecture_xml_sconet.php\" target=\"_blank\">gnrs ici</a></b> depuis des fichiers XML extraits de SCONET.</p>";
            echo "<center>";
            echo "<form enctype='multipart/form-data' action='eleves.php' method=post name='formulaire'>";
            echo "<input type=\"hidden\" name=\"record\" value=\"no\" />";
            echo "<input type=\"hidden\" name=\"step\" value=\"2\" />";
            echo "<input type=\"submit\" value=\"Accder  l'tape 2\" />";
            echo "</form>";
            echo "</center>";

			// On sauvegarde le tmoin du fait qu'il va falloir
			// convertir pour gnrer l'ELE_ID et remplir ensuite les nouvelles tables responsables:
			saveSetting("conv_new_resp_table", 0);


        } else {
            // Les donnes n'ont pas encore t postes, on affiche donc le tableau des classes

            // On commence par "marquer" les classes existantes dans la base
            $sql = mysql_query("UPDATE periodes SET verouiller='T'");

            $sr = ldap_search($ds,$lcs_ldap_groups_dn,"(cn=Classe*)");
            $data = ldap_get_entries($ds,$sr);

            // On va enregistrer la liste des classes, ainsi que les priodes qui leur seront attribues

            echo "<form enctype='multipart/form-data' action='eleves.php' method=post name='formulaire'>";
            echo "<input type=hidden name='record' value='yes'>";
            echo "<input type=hidden name='step' value='1'>";

            echo "<p>Les classes en vert indiquent des classes dj existantes dans la base GEPI.<br />Les classes en rouge indiquent des classes nouvelles et qui vont tre ajoutes  la base GEPI.<br /></p>";
            echo "<p>Pour les nouvelles classes, des noms standards sont utiliss pour les priodes (priode 1, priode 2...), et seule la premire priode n'est pas verrouille. Vous pourrez modifier ces paramtres ultrieurement</p>";
            echo "<p>Attention !!! Il n'y a pas de tests sur les champs entrs. Soyez vigilant  ne pas mettre des caractres spciaux dans les champs ...</p>";
            echo "<p>Essayez de remplir tous les champs, cela vitera d'avoir  le faire ultrieurement.</p>";
            echo "<p>N'oubliez pas <b>d'enregistrer les donnes</b> en cliquant sur le bouton en bas de la page<br /><br />";

            ?>
            <fieldset style="padding-top: 8px; padding-bottom: 8px;  margin-left: 8px; margin-right: 100px;">
            <legend style="font-variant: small-caps;"> Aide au remplissage </legend>
            <table border="0">
            <tr>
              <td width="2%">&nbsp;</td>
              <td width="2%">&nbsp;</td>
              <td width="2%">&nbsp;</td>
              <td width="2%">&nbsp;</td>
              <td width="25%">&nbsp;</td>
              <td width="53%">&nbsp;</td>
            </tr>
            <tr>
              <td>&nbsp;</td>
              <td colspan="5">Vous pouvez remplir les cases <font color="red">
            une  une</font> et/ou <font color="red">globalement</font> grce aux
            fonctionnalits offertes ci-dessous :</td>
            </tr>
            <tr>
              <td colspan="2">&nbsp;</td>
              <td colspan="4">1) D'abord, cochez les lignes une  une</td>
            </tr>
              <tr>
              <td colspan="3">&nbsp;</td>
              <td colspan="3">Vous pouvez aussi &nbsp;
              <a href="javascript:CocheCase(true)">
              COCHER</a> ou
              <a href="javascript:CocheCase(false)">
              DECOCHER</a> toutes les lignes , ou
              <a href="javascript:InverseSel()">
              INVERSER </a>la slection</td>
            </tr>
            <tr>
              <td colspan="2">&nbsp;</td>
              <td colspan="4">2) Puis, pour les lignes coches :</td>
            </tr>
             <tr>
              <td colspan="4">&nbsp;</td>
              <td align="right">le nom au bas du bulletin sera &nbsp;:&nbsp;</td>
              <td><input type="text" name="nom" maxlength="80" size="40">
              <input type ="button" name="but_nom" value="Recopier"
            onclick="javascript:MetVal('nom')"></td>
             </td>
            </tr>
             <tr>
              <td colspan="4">&nbsp;</td>
              <td align="right">la formule au bas du bulletin sera
            &nbsp;:&nbsp;</td>
              <td><input type="text" name="pour" maxlength="80" size="40">
              <input type ="button" name="but_pour" value="Recopier"
            onclick="javascript:MetVal('pour')"></td>
             </td>
            </tr>
            <tr>
              <td colspan="2">&nbsp;</td>
              <td colspan="4">3) Cliquez sur les boutons "Recopier" pour remplir les champs selectionns.</td>
            </tr>

            </table>
            </fieldset>
            <br />
            <?php
            echo "<table border=1 cellpadding=2 cellspacing=2>";
            echo "<tr><td><p class=\"small\"><center>Aide<br />Remplissage</center></p></td><td><p class=\"small\">Identifiant de la classe</p></td><td><p class=\"small\">Nom complet</p></td><td><p class=\"small\">Nom apparaissant au bas du bulletin</p></td><td><p class=\"small\">formule au bas du bulletin</p></td><td><p class=\"small\">Nombres de priodes</p></td></tr>";
            for ($i=0;$i<$data["count"];$i++) {
                $classe_id = preg_replace("/Classe_/","",$data[$i]["cn"][0]);
                $description= $data[$i]["description"][0];
                if ($description == "") $description = $classe_id;

                $test_classe_exist = mysql_query("SELECT * FROM classes WHERE classe='$classe_id'");
                $nb_test_classe_exist = mysql_num_rows($test_classe_exist);

                if ($nb_test_classe_exist==0) {
                    $nom_complet = $description;
                    $nom_court = "<font color=red>".$classe_id."</font>";
                    $suivi_par = getSettingValue("gepiAdminPrenom")." ".getSettingValue("gepiAdminNom").", ".getSettingValue("gepiAdminFonction");
                    $formule = "";
                    $nb_per = '3';
                } else {
                    $id_classe = mysql_result($test_classe_exist, 0, 'id');
                    $nb_per = mysql_num_rows(mysql_query("select num_periode from periodes where id_classe='$id_classe'"));
                    $nom_court = "<font color=green>".$description."</font>";
                    $nom_complet = mysql_result($test_classe_exist, 0, 'nom_complet');
                    $suivi_par = mysql_result($test_classe_exist, 0, 'suivi_par');
                    $formule = mysql_result($test_classe_exist, 0, 'formule');
                }
                echo "<tr>";
                echo "<td><center><input type=\"checkbox\"></center></td>\n";
                echo "<td>";
                echo "<p><b><center>$nom_court</center></b></p>";
                echo "";
                echo "</td>";
                echo "<td>";
                echo "<input type=text name='reg_nom_complet[$classe_id]' value=\"".$nom_complet."\">\n";
                echo "</td>";
                echo "<td>";
                echo "<input type=text name='reg_suivi[$classe_id]' value=\"".$suivi_par."\">\n";
                echo "</td>";
                echo "<td>";
                echo "<input type=text name='reg_formule[$classe_id]' value=\"".$formule."\">\n";
                echo "</td>";
                echo "<td>";
                echo "<select size=1 name='reg_periodes_num[$classe_id]'>\n";
                for ($k=1;$k<7;$k++) {
                    echo "<option value='$k'";
                    if ($nb_per == "$k") echo " SELECTED";
                    echo ">$k";
                }
                echo "</select>";
                echo "</td></tr>";
            }
            echo "</table>\n";
            echo "<input type=hidden name='step2' value='y'>\n";
            echo "<center><input type='submit' value='Enregistrer les donnes'></center>\n";
            echo "</form>\n";

        }



    //----***** STEP 2 *****-----//
    } elseif ($_POST['step'] == "2") {
        // LDAP attribute
        $ldap_people_attr = array(
        "uid",               // login
        "cn",                // Prenom  Nom
        "sn",               // Nom
        "givenname",            // Pseudo
        "mail",              // Mail
        "homedirectory",           // Home directory personnal web space
        "description",
        "loginshell",
        "gecos",             // Date de naissance,Sexe (F/M),
        "employeenumber"    // identifiant gep
        );

        // La deuxime tape consiste  importer les lves et  les affecter dans les classes
        $classes = mysql_query("SELECT id, classe FROM classes");
        $nb_classes = mysql_num_rows($classes);
        $eleves_de = array();
        echo "<table border=\"1\" cellpadding=\"3\" cellspacing=\"3\">\n<tr><td>Nom de la classe</td><td>Login lve</td><td>Nom </td><td>Prnom</td><td>Sexe</td><td>Date de naissance</td><td>Numro GEP</td></tr>\n";
        for ($i=0;$i<$nb_classes;$i++) {
            $current_classe = mysql_result($classes, $i, "classe");
            $current_classe_id = mysql_result($classes, $i, "id");
            $filtre = "(cn=Classe_".$current_classe.")";
            $result= ldap_search ($ds, $lcs_ldap_groups_dn, $filtre);
            if ($result) {
                $info = @ldap_get_entries( $ds, $result );
                for ( $u = 0; $u < $info[0]["memberuid"]["count"] ; $u++ ) {
                  $uid = $info[0]["memberuid"][$u] ;
                  if (trim($uid) !="") {
                    $eleve_de[$current_classe_id]=$uid;
                    // Extraction des infos sur l'lve :
                    $result2 = @ldap_read ( $ds, "uid=".$uid.",".$lcs_ldap_people_dn, "(objectclass=posixAccount)", $ldap_people_attr );
                    if ($result2) {
                        $info2 = @ldap_get_entries ( $ds, $result2 );
                        if ( $info2["count"]) {
                            // Traitement du champ gecos pour extraction de date de naissance, sexe
                            $gecos = $info2[0]["gecos"][0];
                            $tmp = split ("[\,\]",$info2[0]["gecos"][0],4);
                            $ret_people = array (
                            "uid"         => $info2[0]["uid"][0],
                            "nom"         => stripslashes( utf8_decode($info2[0]["sn"][0]) ),
                            "fullname"        => stripslashes( utf8_decode($info2[0]["cn"][0]) ),
                            "pseudo"      => utf8_decode($info2[0]["givenname"][0]),
                            "email"       => $info2[0]["mail"][0],
                            "homedirectory"   => $info2[0]["homedirectory"][0],
                            "description" => utf8_decode($info2[0]["description"][0]),
                            "shell"           => $info2[0]["loginshell"][0],
                            "sexe"            => $tmp[2],
                            "naissance"       => $tmp[1],
                            "no_gep"          => $info2[0]["employeenumber"][0]
                            );
                            $long = strlen($ret_people["fullname"]) - strlen($ret_people["nom"]);
                            $prenom = substr($ret_people["fullname"], 0, $long) ;


                            $add = add_eleve($uid,$ret_people["nom"],$prenom,$tmp[2],$tmp[1],$ret_people["no_gep"]);
                            $get_periode_num = mysql_result(mysql_query("SELECT count(*) FROM periodes WHERE (id_classe = '" . $current_classe_id . "')"), 0);
                            $check = mysql_result(mysql_query("SELECT count(*) FROM j_eleves_classes WHERE (login = '" . $uid . "')"), 0);
                            if ($check > 0)
                                $del = mysql_query("DELETE from j_eleves_classes WHERE login = '" . $uid . "'");
                            for ($k=1;$k<$get_periode_num+1;$k++) {
                                $res = mysql_query("INSERT into j_eleves_classes SET login = '" . $uid . "', id_classe = '" . $current_classe_id . "', periode = '" . $k . "'");
                            }
                            $check = mysql_result(mysql_query("SELECT count(*) FROM j_eleves_regime WHERE (login = '" . $uid . "')"), 0);
                            if ($check > 0)
                                $del = mysql_query("DELETE from j_eleves_regime WHERE login = '" . $uid . "'");
                            $res = mysql_query("INSERT into j_eleves_regime SET login = '" . $uid . "',
                            regime  = 'd/p',
                            doublant  = '-'");
                        }
                        @ldap_free_result ( $result2 );
                    }
                    $date_naissance = substr($tmp[1],6,2)."-".substr($tmp[1],4,2)."-".substr($tmp[1],0,4) ;
                    echo "<tr><td>".$current_classe."</td><td>".$uid."</td><td>".$ret_people["nom"]."</td><td>".$prenom."</td><td>".$tmp[2]."</td><td>".$date_naissance."</td><td>".$ret_people["no_gep"]."</td></tr>\n";
                  }
                }
            }
            @ldap_free_result ( $result );
        }
        echo "</table><p>Opration effectue.</p>";
        echo "<p>Avant de passer  l'tape suivante, vous devez procder  la conversion de la table \"eleves\" et  l'importation des donnes manquantes :
        <a href='../responsables/conversion.php?mode=1'>Conversion et importation des donnes manquantes</a>.</p>";
    }

} else {
    echo "<p>L'opration d'importation des lves depuis le LDAP de LCS va effectuer les oprations suivantes :</p>";
    echo "<ul>";
    echo "<li>Importation des classes.</li>";
    echo "<li>Tentative d'ajout de chaque lves prsent dans l'annuaire de LCS.</li>";
    echo "<li>Si l'lve n'existe pas, il est cr.</li>";
    echo "<li>Si l'lve existe dj, ses informations de base sont mises  jour.</li>";
    echo "<li>Affectation des lves aux classes.</li>";
    echo "</ul>";


    echo "<form enctype='multipart/form-data' action='eleves.php' method=post>";
    echo "<input type=hidden name='step' value='1'>";
    echo "<input type=hidden name='record' value='no'>";
    $j=0;
    $flag=0;
    while (($j < count($liste_tables_del)) and ($flag==0)) {
        if (mysql_result(mysql_query("SELECT count(*) FROM $liste_tables_del[$j]"),0)!=0) {
            $flag=1;
        }
        $j++;
    }
    if ($flag != 0){
        echo "<p><b>ATTENTION ...</b><br />";
        echo "Des donnes concernant la constitution des classes et l'affectation des lves dans les classes sont prsentes dans la base GEPI ! Si vous poursuivez la procdure, ces donnes seront dfinitivement effaces !</p>";
    }

    echo "<p>Etes-vous sr de vouloir importer tous les lves depuis l'annuaire du serveur LCS vers Gepi ?</p>";
    echo "<br/>";
    echo "<input type='submit' value='Je suis sr'>";
    echo "</form>";
}

require("../lib/footer.inc.php");
?>