<?php
/*
 * $Id$
 *
 * Copyright 2001, 2010 Thomas Belliard
 *
 * This file is part of GEPI.
 *
 * GEPI is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * GEPI is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GEPI; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

// Initialisations files
require_once("../lib/initialisations.inc.php");
// Resume session
$resultat_session = $session_gepi->security_check();

if ($resultat_session == 'c') {
    header("Location: ../utilisateurs/mon_compte.php?change_mdp=yes");
    die();
} else if ($resultat_session == '0') {
    header("Location: ../logout.php?auto=1");
    die();
};

if (!checkAccess()) {
    header("Location: ../logout.php?auto=1");
    die();
}

//**************** EN-TETE *****************
$titre_page = "Outil d'initialisation de l'anne pour l'annuaire LDAP Scribe NG";
require_once("../lib/header.inc");
//**************** FIN EN-TETE *****************
?>
<p class=bold><a href="../gestion/index.php"><img src='../images/icons/back.png' alt='Retour' class='back_link'/> Retour</a></p>
<p>Vous allez effectuer l'initialisation de l'anne scolaire qui vient de dbuter, directement depuis l'annuaire LDAP de Scribe NG. Celui-ci doit donc avoir t pralablement aliment. Cette procdure ne s'effectue qu'une seule fois.</p>
<ul>
<li>Au cours de la procdure, le cas chant, certaines donnes de l'anne passe seront dfinitivement effaces de la base GEPI (lves, notes, apprciations, ...) . Seules seront conserves les donnes suivantes :<br /><br />
- les donnes relatives aux tablissements,<br />
- les donnes relatives aux classes : intituls courts, intituls longs, nombre de priodes et noms des priodes,<br />
- les donnes relatives aux matires : identifiants et intituls complets,<br />
- les donnes relatives aux utilisateurs personnels dans l'tablissement (professeurs, administrateurs, ...). Concernant les professeurs, les matires enseignes par les professeurs sont conserves (et ventuellement compltes en phase 5),<br />
- Les donnes relatives aux diffrents types d'AID.</li><br />

<li>L'initialisation s'effectue en diffrentes phases :<br />
    <ul>
    <br />
    <li><a href='etape1.php'>Procder  la premire phase</a> d'importation des lves et de cr&eacute;ation des classes.</li>
    <br />
    <li><a href='etape2.php'>Procder  la deuxime phase</a> de cr&eacute;ation des p&eacute;riodes et d'affectation des &eacute;l&egrave;ves dans les classes.</li>
    <br />
    <li><a href='etape3.php'>Procder  la troisime phase</a> d'importation des responsables l&eacute;gaux des &eacute;l&egrave;ves.</li>
    <br />
    <li><a href='etape4.php'>Procder  la quatrime phase</a> d'importation des professeurs.</li>
    <br />
    <li><a href='etape5.php'>Procder  la cinquime phase</a> d'importation des matires.</li>
    <br />
    <li><a href='etape6.php'>Procder  la sixime phase</a> d'importation des enseignements.</li>
    <br />
    <li><a href='etape7.php'>Procder  la septime phase</a> d'importation des personnels non-enseignants.</li>
    <br />
    <br />
</li>
<li>Une fois toute la procdure d'initialisation des donnes termine, il vous sera possible d'effectuer toutes les modifications ncessaires au cas par cas par le biais des outils de gestion inclus dans <b>GEPI</b>.</li>
</ul>
<?php require("../lib/footer.inc.php");?>
