<?php
/**
 *
 * @version $Id: enregistrement_saisie_groupe.php 5114 2010-08-26 15:29:50Z crob $
 *
 * Copyright 2010 Josselin Jacquard
 *
 * This file and the mod_abs2 module is distributed under GPL version 3, or
 * (at your option) any later version.
 *
 * This file is part of GEPI.
 *
 * GEPI is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * GEPI is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with GEPI; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

// Initialisation des feuilles de style aprs modification pour amliorer l'accessibilit
$accessibilite="y";

// Initialisations files
require_once("../lib/initialisationsPropel.inc.php");
require_once("../lib/initialisations.inc.php");
// Resume session
$resultat_session = $session_gepi->security_check();
if ($resultat_session == 'c') {
    header("Location: ../utilisateurs/mon_compte.php?change_mdp=yes");
    die();
} else if ($resultat_session == '0') {
    header("Location: ../logout.php?auto=1");
    die();
}

if (!checkAccess()) {
    header("Location: ../logout.php?auto=1");
    die();
}

//recherche de l'utilisateur avec propel
$utilisateur = UtilisateurProfessionnelPeer::getUtilisateursSessionEnCours();
if ($utilisateur == null) {
	header("Location: ../logout.php?auto=1");
	die();
}

//On vrifie si le module est activ
if (getSettingValue("active_module_absence")!='2') {
    die("Le module n'est pas activ.");
}

if ($utilisateur->getStatut()=="professeur" &&  getSettingValue("active_module_absence_professeur")!='y') {
    die("Le module n'est pas activ.");
}

//rcupration des paramtres de la requte
$id_groupe = isset($_POST["id_groupe"]) ? $_POST["id_groupe"] :(isset($_GET["id_groupe"]) ? $_GET["id_groupe"] :NULL);
$id_classe = isset($_POST["id_classe"]) ? $_POST["id_classe"] :(isset($_GET["id_classe"]) ? $_GET["id_classe"] :NULL);
$id_aid = isset($_POST["id_aid"]) ? $_POST["id_aid"] :(isset($_GET["id_aid"]) ? $_GET["id_aid"] :NULL);
$id_creneau = isset($_POST["id_creneau"]) ? $_POST["id_creneau"] :(isset($_GET["id_creneau"]) ? $_GET["id_creneau"] :NULL);
$id_cours = isset($_POST["id_cours"]) ? $_POST["id_cours"] :(isset($_GET["id_cours"]) ? $_GET["id_cours"] :NULL);
$type_selection = isset($_POST["type_selection"]) ? $_POST["type_selection"] :(isset($_GET["type_selection"]) ? $_GET["type_selection"] : NULL);
$date_absence_eleve = isset($_POST["date_absence_eleve"]) ? $_POST["date_absence_eleve"] :NULL;
$total_eleves = isset($_POST["total_eleves"]) ? $_POST["total_eleves"] :(isset($_GET["total_eleves"]) ? $_GET["total_eleves"] :0);
$heure_debut_appel = isset($_POST["heure_debut_appel"]) ? $_POST["heure_debut_appel"] :(isset($_GET["heure_debut_appel"]) ? $_GET["heure_debut_appel"] :NULL);
$heure_fin_appel = isset($_POST["heure_fin_appel"]) ? $_POST["heure_fin_appel"] :(isset($_GET["heure_fin_appel"]) ? $_GET["heure_fin_appel"] :NULL);

$message_enregistrement = "";

//initialisation des variables
$current_cours = null;
$current_classe = null;
$current_groupe = null;
$current_aid = null;
$current_creneau = null;

if ($type_selection == 'id_cours') {
    if (getSettingValue("autorise_edt_tous") != 'y') {
	$message_enregistrement .= "<span style='color :red'>Erreur : un cours a t spcifi mais le module edt est dsactiv</span><br/>";
    }else {
	$current_cours = EdtEmplacementCoursQuery::create()->findPk($id_cours);
	if ($current_cours != null) {
	    //$id_creneau = $current_cours->getIdDefiniePeriode();
	    $current_creneau = $current_cours->getEdtCreneau();
	    $current_groupe = $current_cours->getGroupe();
	    $current_aid = $current_cours->getAidDetails();
	} else {
	    $message_enregistrement .= "<span style='color :red'>Erreur : Probleme avec le parametre id_cours</span><br/>";
	}
    }
} else {
    $current_creneau = EdtCreneauQuery::create()->findPk($id_creneau);
    if ($current_creneau == null) {
	$message_enregistrement .= "<span style='color :red'>Erreur : Probleme avec le parametre id_creneau</span><br/>";
    }
}

if ($type_selection == 'id_groupe') {
    $current_groupe = GroupeQuery::create()->findPk($id_groupe);
    if ($current_groupe == null) {
	$message_enregistrement .= "<span style='color :red'>Erreur : Probleme avec le parametre id_groupe</span><br/>";
    }
} elseif ($type_selection == 'id_classe') {
    $current_classe = ClasseQuery::create()->findPk($id_classe);
    if ($current_classe == null) {
	$message_enregistrement .= "<span style='color :red'>Erreur : Probleme avec le parametre id_classe</span><br/>";
    }
} elseif ($type_selection == 'id_aid') {
    $current_aid = AidDetailsQuery::create()->findPk($id_aid);
    if ($current_aid == null) {
	$message_enregistrement .= "<span style='color :red'>Erreur : Probleme avec le parametre id_aid</span><br/>";
    }
}

$id_groupe = null;
$id_classe = null;
$id_aid = null;
$id_creneau = null;
$id_cours = null;
if ($current_groupe != null) {$id_groupe = $current_groupe->getId();}
if ($current_classe != null) {$id_classe = $current_classe->getId();}
if ($current_aid != null) {$id_aid = $current_aid->getId();}
if ($current_creneau != null) {$id_creneau = $current_creneau->getIdDefiniePeriode();}
if ($current_cours != null) {$id_cours = $current_cours->getIdCours();}

//test autorisation de saisie du professeur
if ($current_cours == null && $utilisateur->getStatut() == 'professeur' && getSettingValue("abs2_saisie_prof_hors_cours")!='y') {
    //on autorise uniquement les saisies de classe dont le prof est pp
    if ($current_classe != null && $utilisateur->getClasses()->contains($current_classe)) {
	//ok
    } else {
	$message_enregistrement .= "<span style='color :red'>Erreur : Il faut obligatoirement saisir un cours de l'emploi du temps</span><br/>";
    }
}


if ($date_absence_eleve != null) {
    try {
	$dt_date_absence_eleve = new DateTime(str_replace("/",".",$date_absence_eleve));
    } catch (Exception $x) {
	$message_enregistrement .= "<span style='color :red'>Erreur : Mauvais format de date d'absence.</span><br/>";
    }
} else {
    $message_enregistrement .= "<span style='color :red'>Erreur : La date d'absence doit etre prcise.</span><br/>";
}
if ($message_enregistrement != '') {
	//il y a une erreur, on arrete la saisie
	include("saisir_groupe.php");
	die();
}
if ($heure_debut_appel != null) {
    try {
	$heure_debut_appel = new DateTime($heure_debut_appel);
	$dt_date_debut_appel = clone $dt_date_absence_eleve;
	$dt_date_debut_appel->setTime($heure_debut_appel->format('H'), $heure_debut_appel->format('i'));
    } catch (Exception $x) {
	$message_enregistrement .= "<span style='color :red'>Erreur : Mauvais format d'heure de debut de saisie.</span><br/>";
    }
} else {
    $message_enregistrement .= "<span style='color :red'>Erreur : heure de debut de saisie non precise.</span><br/>";
}
if ($heure_fin_appel != null) {
    try {
	$heure_fin_appel = new DateTime($heure_fin_appel);
	$dt_date_fin_appel = clone $dt_date_absence_eleve;
	$dt_date_fin_appel->setTime($heure_fin_appel->format('H'), $heure_fin_appel->format('i'));
    } catch (Exception $x) {
	$message_enregistrement .= "<span style='color :red'>Erreur : Mauvais format d'heure de fin de saisie.</span><br/>";
    }
} else {
    $message_enregistrement .= "<span style='color :red'>Erreur : heure de fin de saisie non precise.</span><br/>";
}

if ($id_groupe == null && $id_classe == null && $id_aid == null) {
  	$message_enregistrement .= '<span style="color :red">Erreur : Il faut au moins une classe, une aid, un groupe pour faire un appel.</span><br/>';
}
if ($id_creneau == null && $id_cours == null) {
  	$message_enregistrement .= '<span style="color :red">Erreur : Il faut au moins un creneau ou un cours  pour faire un appel.</span><br/>';
}

if ($message_enregistrement != '') {
	//il y a une erreur, on arrete la saisie
	include("saisir_groupe.php");
	die();
}

//on enregistre le marqueur d'appel (saisie sans eleve)
$message_erreur = '';
$saisie = new AbsenceEleveSaisie();

$saisie->setIdEdtCreneau($id_creneau);
$saisie->setIdEdtEmplacementCours($id_cours);
$saisie->setIdGroupe($id_groupe);
$saisie->setIdClasse($id_classe);
$saisie->setIdAid($id_aid);
$saisie->setUtilisateurId($utilisateur->getPrimaryKey());

//on verifie si l'utilisateur a le droit de saisir cela
$message_erreur .= verif_debut_fin_saisie($dt_date_debut_appel, $dt_date_fin_appel, $utilisateur, $current_cours);
//on vrifie en prime que l'appel est bien fait pendant l'heure en cours.
if ($utilisateur->getStatut() == 'professeur' && getSettingValue("abs2_saisie_prof_decale_journee")!='y' && getSettingValue("abs2_saisie_prof_decale")!='y') {
    $now = new DateTime('now');
    if ($dt_date_debut_appel->format('U') > $now->format('U') || $dt_date_fin_appel->format('U') < $now->format('U')) {
	$message_erreur .= "Appel non autorise et dehors des heures de cours dont on fait l'appel.<br/>";
    }
}
$saisie->setDebutAbs($dt_date_debut_appel);
$saisie->setFinAbs($dt_date_fin_appel);

if ($message_erreur != '') {
    $message_enregistrement .= '<span style="color :red">Erreur sur l\'enregistrement du marqueur d\'appel : '.$message_erreur.'</span>';
    //on arrete la saisie
    include("saisir_groupe.php");
    die();
} else if ($saisie->validate()) {
    $saisie->save();
    $message_enregistrement .= "<a href='visu_saisie.php?id_saisie=".$saisie->getPrimaryKey()."'>Marqueur d'appel enregistr</a><br/>";
} else {
    //on arrete la saisie
    $message_enregistrement .= '<span style="color :red">Erreur sur l\'enregistrement du marqueur d\'appel : '.format_verif_failures($saisie).'</span>';
    include("saisir_groupe.php");
    die();
}



for($i=0; $i<$total_eleves; $i++) {

    if (!(isset($_POST['id_eleve_absent'][$i]))) {
	continue;
    }
    $id_eleve = $_POST['id_eleve_absent'][$i];

    //on test si l'eleve est coch absent
    if (!isset($_POST['active_absence_eleve'][$i])
	&& !(isset($_POST['commentaire_absence_eleve'][$i]) && $_POST['commentaire_absence_eleve'][$i] != null)
	&& !(isset($_POST['type_absence_eleve'][$i]) && $_POST['type_absence_eleve'][$i] != -1)
	    ) {
	continue;
    }
    
    //on cherche l'eleve
    $eleve = EleveQuery::create()->findPk($_POST['id_eleve_absent'][$i]);
    if ($eleve == null) {
	$message_enregistrement .= "Probleme avec l'id eleve : ".$_POST['id_eleve_absent'][$i]."<br/>";
	continue;
    }

    $message_erreur_eleve[$id_eleve] = "";

    $saisie = new AbsenceEleveSaisie();
    $saisie->setEleveId($eleve->getIdEleve());
    $saisie->setIdEdtCreneau($id_creneau);
    $saisie->setIdEdtEmplacementCours($id_cours);
    $saisie->setIdGroupe($id_groupe);
    $saisie->setIdClasse($id_classe);
    $saisie->setIdAid($id_aid);
    $saisie->setCommentaire($_POST['commentaire_absence_eleve'][$i]);

    try {
	$date_debut = new DateTime(str_replace("/",".",$_POST['date_debut_absence_eleve'][$i]));
    } catch (Exception $x) {
	$message_erreur_eleve[$id_eleve] .= "Mauvais format de date.<br/>";
	continue;
    }
    try {
	$heure_debut = new DateTime($_POST['heure_debut_absence_eleve'][$i]);
    } catch (Exception $x) {
	$message_erreur_eleve[$id_eleve] .= "Mauvais format d'heure.<br/>";
	continue;
    }
    $date_debut->setTime($heure_debut->format('H'), $heure_debut->format('i'));
    $saisie->setDebutAbs($date_debut);

    try {
	$date_fin = new DateTime(str_replace("/",".",$_POST['date_fin_absence_eleve'][$i]));
    } catch (Exception $x) {
	$message_erreur_eleve[$id_eleve] .= "Mauvais format de date.<br/>";
	continue;
    }
    try {
	$heure_fin = new DateTime($_POST['heure_fin_absence_eleve'][$i]);
    } catch (Exception $x) {
	$message_erreur_eleve[$id_eleve] .= "Mauvais format d'heure.<br/>";
	continue;
    }
    $date_fin->setTime($heure_fin->format('H'), $heure_fin->format('i'));
    $saisie->setFinAbs($date_fin);
    $message_erreur_eleve[$id_eleve] .= verif_debut_fin_saisie($date_debut, $date_fin, $utilisateur, $current_cours);

    $saisie->setUtilisateurId($utilisateur->getPrimaryKey());

    if (isset($_POST['type_absence_eleve'][$i]) && $_POST['type_absence_eleve'][$i] != -1) {
	$type = AbsenceEleveTypeQuery::create()->findPk($_POST['type_absence_eleve'][$i]);
	if ($type != null) {
	    if ($type->isStatutAutorise($utilisateur->getStatut())) {
		//on va creer un traitement avec le type d'absence associ
		$traitement = new AbsenceEleveTraitement();
		$traitement->addAbsenceEleveSaisie($saisie);
		$traitement->setAbsenceEleveType($type);
		$traitement->setUtilisateurProfessionnel($utilisateur);
		if ($type->getTypeSaisie() == "DISCIPLINE" && getSettingValue("active_mod_discipline")=='y') {
		    //on affiche un lien pour saisir le module discipline
		    $saisie_discipline = true;
		}
	    } else {
		$message_erreur_eleve[$id_eleve] .= "Type d'absence non autoris pour ce statut : ".$_POST['type_absence_eleve'][$i]."<br/>";
	    }
	} else {
	    $message_erreur_eleve[$id_eleve] .= "Probleme avec l'id du type d'absence : ".$_POST['type_absence_eleve'][$i]."<br/>";
	}
    }

    if ($message_erreur_eleve[$id_eleve] != '') {
	//il y a des erreurs, en evite l'enregistrement
    } else {
	if ($saisie->validate()) {
	    $eleve->getAbsenceEleveSaisies();
	    $eleve->addAbsenceEleveSaisie($saisie);
	    $saisie->save();
	    if (isset($traitement)) {
		$traitement->save();
	    }
	    $message_enregistrement .= "<a href='visu_saisie.php?id_saisie=".$saisie->getPrimaryKey()."'>Saisie enregistre pour l'lve : ".$eleve->getNom().' '.$eleve->getPrenom()."</a>";
	    if (isset($saisie_discipline) && $saisie_discipline == true) {
		$message_enregistrement .= " &nbsp;<a href='../mod_discipline/saisie_incident_abs2.php?id_absence_eleve_saisie=".
		    $saisie->getId()."&return_url=no_return'>Saisir un incident disciplinaire pour l'lve : ".$eleve->getNom().' '.$eleve->getPrenom()."</a>";
	    }
	    $message_enregistrement .= "<br/>";
	} else {
	    $message_erreur_eleve[$id_eleve] .= format_verif_failures($saisie);
	}
    }

    if ($message_erreur_eleve[$id_eleve] != '') {
	$message_enregistrement .= '<span style="color :red">Erreur pour l\'enregistrement de l\'lve '.$eleve->getNom().' '.$eleve->getPrenom().' : </span>'.$message_erreur_eleve[$id_eleve];
    }
}

include("saisir_groupe.php");

function verif_debut_fin_saisie(DateTime $dt_date_debut_appel, DateTime $dt_date_fin_appel, UtilisateurProfessionnel $utilisateur, $edt_cours) {
    $message_enregistrement = '';
    if ($dt_date_debut_appel === null) {
	$message_enregistrement .= "Le dbut de saisie doit etre prcise.<br/>";
	return $message_enregistrement;
    }
    if ($dt_date_fin_appel === null) {
	$message_enregistrement .= "La fin de saisie doit etre prcise.<br/>";
	return $message_enregistrement;
    }
    ////on verifie si l'utilisateur a le droit de saisir cela
    if ($utilisateur->getStatut() == 'professeur') {
	if ($dt_date_debut_appel->format('d/m/Y') != $dt_date_fin_appel->format('d/m/Y')) {
	    $message_enregistrement .= "Saisie sur plusieurs jours non autorise.<br/>";
	}
	//verification des autorisation de saisies decaleer
	if (getSettingValue("abs2_saisie_prof_decale")!='y') {
	    $now = new DateTime('now');
	    if ($dt_date_debut_appel->format('d/m/Y') != $now->format('d/m/Y') || $dt_date_fin_appel->format('d/m/Y') != $now->format('d/m/Y')) {
		$message_enregistrement .= "Saisie non autorise autre que pour la journe courante.<br/>";
	    }
	}
	if ($edt_cours != null && $utilisateur->getStatut() == 'professeur' && getSettingValue("abs2_saisie_prof_hors_cours")!='y') {
	    //on verifie que le saisie ne deborde pas du cours
	    if ($edt_cours->getHeureDebut('Hi') > $dt_date_debut_appel->format('Hi')) {
		$message_enregistrement .= "L'heure de dbut de saisie ne peut pas tre antrieure au cours.<br/>";
	    }
	    if ($edt_cours->getHeureFin('Hi') < $dt_date_fin_appel->format('Hi')) {
		$message_enregistrement .= "L'heure de fin de saisie ne peut pas tre postrieure au cours.<br/>";
	    }
	}
    }
    if ($dt_date_debut_appel->format('U') > $dt_date_fin_appel->format('U')) {
	$message_enregistrement .= "L'heure de fin de saisie ne peut etre anterieure  l'heure de dbut.<br/>";
    }
    return $message_enregistrement;
}

function format_verif_failures($saisie) {
	$message = '';
	$no_br = true;
	foreach ($saisie->getValidationFailures() as $erreurs) {
	    $message .= $erreurs;
	    if ($no_br) {
		$no_br = false;
	    } else {
		$message .= '<br/>';
	    }
	}
	return $message;
}
?>