<?php
/* $Id: fiches_brevet.php 4514 2010-05-30 10:34:29Z regis $ */
/*
* Copyright 2001, 2005 Thomas Belliard, Laurent Delineau, Edouard Hue, Eric Lebrun
*
* This file is part of GEPI.
*
* GEPI is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* GEPI is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with GEPI; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

// Construction du tableau de notes des fiches brevets





// Bibliothque pour Notanet et Fiches brevet
include("../lib_brevets.php");


//===================================
//=== Enregistrement des paramtres d'impression ===
//===================================

if (isset($_POST['enregistrer_param'])) {
	$msg="";

	if (isset($_POST['fb_academie'])) {
		if (!saveSetting("fb_academie", $_POST['fb_academie'])) {
			$msg .= "Erreur lors de l'enregistrement de fb_academie !";
		}
	}

	if (isset($_POST['fb_departement'])) {
		if (!saveSetting("fb_departement", $_POST['fb_departement'])) {
			$msg .= "Erreur lors de l'enregistrement de fb_departement !";
		}
	}

	if (isset($_POST['fb_session'])) {
		if (!saveSetting("fb_session", $_POST['fb_session'])) {
			$msg .= "Erreur lors de l'enregistrement de fb_session !";
		}
	}


	if (isset($_POST['fb_mode_moyenne'])) {
		if (!saveSetting("fb_mode_moyenne", $_POST['fb_mode_moyenne'])) {
			$msg .= "Erreur lors de l'enregistrement de fb_mode_moyenne !";
		}
	}

	if (isset($_POST['fb_gab_perso'])) {
		if (!saveSetting("fb_gab_perso", $_POST['fb_gab_perso'])) {
			$msg .= "Erreur lors de l'enregistrement de fb_gab_perso !";
		}
	}

	if (isset($_POST['fb_dezip_ooo'])) {
		if (!saveSetting("fb_dezip_ooo", $_POST['fb_dezip_ooo'])) {
			$msg .= "Erreur lors de l'enregistrement de fb_dezip_ooo !";
		}
	}

	if($msg==""){$msg="Enregistrement effectu.";}
}



//=======================
//=== Initialisation des variables ===
//=======================

$titre_page = "Fiches Brevet";

// Rcupration des variables:
// Tableau des classes:
$id_classe = isset($_POST['id_classe']) ? $_POST['id_classe'] : (isset($_GET['id_classe']) ? $_GET['id_classe'] : NULL);

$type_brevet = isset($_POST['type_brevet']) ? $_POST['type_brevet'] : (isset($_GET['type_brevet']) ? $_GET['type_brevet'] : NULL);
if(isset($type_brevet)) {
	if((!ereg("[0-9]",$type_brevet))||(strlen(my_ereg_replace("[0-9]","",$type_brevet))!=0)) {
		$type_brevet=NULL;
	}
}

$avec_app=isset($_POST['avec_app']) ? $_POST['avec_app'] : "n";



//=====================================
//=== PARAMTRAGE GENERAL DES FICHES BREVETS ===
//=====================================

if (isset($_GET['parametrer'])) {

	//**************** EN-TETE *****************
	require_once("../../lib/header.inc");
	//**************** FIN EN-TETE *****************


	// Paramtrage des tailles de police, dimensions, nom d'acadmie, de dpartement,...
	echo "<div class='noprint'>\n";
	echo "<p class='bold'><a href='../../accueil.php'>Accueil</a>";
	echo " | <a href='../index.php'>Accueil Notanet</a>";
	echo " | <a href='".$_SERVER['PHP_SELF']."'>Retour au choix des classes</a>";
	echo "</p>\n";
	echo "</div>\n";

	echo "<h2>Paramtres d'affichage des Fiches Brevet</h2>\n";

	echo "<form action='".$_SERVER['PHP_SELF']."' id='form_param' method='post'>\n";
	echo "<table border='0'>\n";

	$alt=1;
	$fb_academie=getSettingValue("fb_academie");
	$alt=$alt*(-1);
	echo "<tr";
	if($alt==1){echo " style='background: white;'";}else{echo " style='background: silver;'";}
	echo ">\n";
	echo "<td>Acadmie de: </td>\n";
	echo "<td><input type='text' name='fb_academie' value='$fb_academie' /></td>\n";
	echo "</tr>\n";

	$fb_departement=getSettingValue("fb_departement");
	$alt=$alt*(-1);
	echo "<tr";
	if($alt==1){echo " style='background: white;'";}else{echo " style='background: silver;'";}
	echo ">\n";
	echo "<td>Dpartement de: </td>\n";
	echo "<td><input type='text' name='fb_departement' value='$fb_departement' /></td>\n";
	echo "</tr>\n";

	$fb_session=getSettingValue("fb_session");
	if($fb_session==""){
		$tmp_date=getdate();
		$tmp_mois=$tmp_date['mon'];
		if($tmp_mois>9){
			$fb_session=$tmp_date['year']+1;
		}
		else{
			$fb_session=$tmp_date['year'];
		}
	}

	$alt=$alt*(-1);
	echo "<tr";
	if($alt==1){echo " style='background: white;'";}else{echo " style='background: silver;'";}
	echo ">\n";
	echo "<td>Session: </td>\n";
	echo "<td><input type='text' name='fb_session' value='$fb_session' /></td>\n";
	echo "</tr>\n";

	// ****************************************************************************
	// MODE DE CALCUL POUR LES MOYENNES DES REGROUPEMENTS DE MATIERES:
	// - LV1: on fait la moyenne de toutes les LV1 (AGL1, ALL1)
	// ou
	// - LV1: on prsente pour chaque lve, la moyenne qui correspond  sa LV1: ALL1 s'il fait ALL1,...
	// ****************************************************************************
	$fb_mode_moyenne=getSettingValue("fb_mode_moyenne");
	$alt=$alt*(-1);
	echo "<tr";
	if($alt==1){echo " style='background: white;'";}else{echo " style='background: silver;'";}
	echo ">\n";
	echo "<td valign='top'>Mode de calcul des moyennes pour les options Notanet associes  plusieurs matires (<i>ex.: LV1 associe  AGL1 et ALL1</i>): </td>\n";
	echo "<td>";
		echo "<table border='0'>\n";
		echo "<tr>\n";
		echo "<td valign='top'>\n";
		echo "<input type='radio' name='fb_mode_moyenne' value='1' ";
		if($fb_mode_moyenne!="2"){
			echo "checked='checked' />";
		}
		else{
			echo "/>";
		}
		echo "</td>\n";
		echo "<td>\n";
		echo "Calculer la moyenne de toutes matires d'une mme option Notanet confondues<br />\n";
		echo "(<i>on compte ensemble les AGL1 et ALL1; c'est la moyenne de toute la LV1 qui est effectue</i>)\n";
		echo "</td>\n";
		echo "</tr>\n";

		echo "<tr>\n";
		echo "<td valign='top'>\n";
		echo "<input type='radio' name='fb_mode_moyenne' value='2' ";
		if($fb_mode_moyenne=="2"){
			echo "checked='checked' />";
		}
		else{
			echo "/>";
		}
		echo "</td>\n";
		echo "<td>\n";
		echo "Calculer les moyennes par matires<br />\n";
		echo "(<i>on ne mlange pas AGL1 et ALL1 dans le calcul de la moyenne de classe pour un lve</i>)\n";
		echo "</td>\n";
		echo "</tr>\n";
		echo "</table>\n";

	echo "</td>\n";
	echo "</tr>\n";

// choix des gabarits
$alt=$alt*(-1);
$fb_gab_perso=getSettingValue("fb_gab_perso");
	echo "<tr";
	if($alt==1){echo " style='background: white;'";}else{echo " style='background: silver;'";}
	echo ">\n";
	echo "<td valign='top'>Gabarits : <br />Vous pouvez utiliser les gabarits intgrs  Gpi (construits  partir des fiches brevets de Nantes) <br />ou utiliser le module OpenOffice pour enregistrer vos propres gabarits</td>\n";
	echo "<td>";
	echo "<input type='radio' name='fb_gab_perso' value='1' ";
	if($fb_gab_perso=="1"){
	  echo "checked='checked' />";
	}
	else{
	  echo "/>";
	}
	echo " Gabarits personnels <br />";
	echo "<input type='radio' name='fb_gab_perso' value='0' ";
	if($fb_gab_perso=="0"){
	  echo "checked='checked' />";
	}
	else{
	  echo "/>";
	}
	echo " Gabarits Gpi <br />";
	echo "</td>\n";
	echo "</tr>\n";

// choix du dzippeur
$alt=$alt*(-1);
$fb_dezip_ooo=getSettingValue("fb_dezip_ooo");
	echo "<tr";
	if($alt==1){echo " style='background: white;'";}else{echo " style='background: silver;'";}
	echo ">\n";

	echo "<td valign='top'>Dcompresseur d'archive : <br />Gpi a besoin d'un dcompresseur d'archive pour crer les fiches brevets. Vous devez slectionner celui que vous voulez utiliser.</td>\n";
	echo "</td>";
	echo "<td>";

	echo "<input type='radio' name='fb_dezip_ooo' value='0' ";
	if($fb_dezip_ooo=="0"){
	  echo "checked='checked' />";
	}
	else{
	  echo "/>";
	}
	echo " ZIPARCHIVE et TinyDoc : le choix par dfaut mais peut crer des fichiers corrompus si votre version de PHP est infrieur  5.2.8 (utiliser OOo 3.2 pour rparer les fichiers) <br />\n";
	
	echo "<input type='radio' name='fb_dezip_ooo' value='1' ";
	if($fb_dezip_ooo=="1"){
	  echo "checked='checked' />";
	}
	else{
	  echo "/>";
	}
	echo " ZIP-UNZIP et TinyDoc : ncessite que ZIP et UNZIP soient installs sur le serveur et que leurs chemins soient dfinis dans la variable d'environnement PATH <br />\n";

	echo "<input type='radio' name='fb_dezip_ooo' value='2' ";
	if($fb_dezip_ooo=="2"){
	  echo "checked='checked' />";
	}
	else{
	  echo "/>";
	}
	echo " PCLZIP et TBSooo : classe plus ancienne, toutes les fonctionnalits de TinyDoc ne sont pas disponible dans les gabarits mais fonctionne avec PHP 5.2 <br />\n";

	echo "</td>\n";

	echo "</tr>\n";

	echo "</table>\n";

	echo "<p style='text-align: center;'><input type='submit' name='enregistrer_param' value='Enregistrer' /></p>\n";
	echo "</form>\n";

	require("../../lib/footer.inc.php");
	die();

}

//============================
//=== FIN DU PARAMETRAGE  GENERAL ===
//============================




//===================================================
//=== VRIFICATION QUE DES LVES SONT BIEN AFFECTS  UN BREVET ===
//===================================================

$sql="SELECT DISTINCT type_brevet FROM notanet_ele_type ORDER BY type_brevet;";
$res=mysql_query($sql);
if(mysql_num_rows($res)==0) {

	//**************** EN-TETE *****************
	require_once("../../lib/header.inc");
	//**************** FIN EN-TETE *****************

	echo "</p>\n";
	echo "</div>\n";

	echo "<p>Aucune association lve/type de brevet n'a encore t ralise.<br />Commencez par <a href='../select_eleves.php'>slectionner les lves</a></p>\n";

	require("../../lib/footer.inc.php");
	die();
}

$sql="SELECT DISTINCT type_brevet FROM notanet_corresp ORDER BY type_brevet;";
$res=mysql_query($sql);
$nb_type_brevet=mysql_num_rows($res);

if($nb_type_brevet==0) {

	//**************** EN-TETE *****************
	require_once("../../lib/header.inc");
	//**************** FIN EN-TETE *****************

	echo "</p>\n";
	echo "</div>\n";

	echo "<p>Aucune association matires/type de brevet n'a encore t ralise.<br />Commencez par <a href='../select_matieres.php'>slectionner les matires</a></p>\n";

	require("../../lib/footer.inc.php");
	die();
}

//=======================
//=== FIN DE LA VRIFICATION ===
//=======================




//==========================
//=== CHOIX DU BREVET  TRAITER ===
//==========================

// Bibliothque pour Notanet et Fiches brevet
// include("../lib_brevets.php");

if(!isset($type_brevet)) {

	//**************** EN-TETE *****************
	require_once("../../lib/header.inc");
	//**************** FIN EN-TETE *****************

	echo "<div class='noprint'>\n";
	echo "<p class='bold'><a href='../../accueil.php'>Accueil</a> | <a href='../index.php'>Accueil Notanet</a>";
	echo " | <a href='".$_SERVER['PHP_SELF']."?parametrer=y'>Paramtrer</a>";
	echo "</p>\n";
	echo "</div>\n";

	echo "<ul>\n";
		while($lig=mysql_fetch_object($res)) {
			switch ($lig->type_brevet ) {
				case 0 :
					echo "<li><a href='".$_SERVER['PHP_SELF']."?type_brevet=".$lig->type_brevet."'>Gnrer les fiches brevet pour ".$tab_type_brevet[$lig->type_brevet]."</a></li>\n";
				break;
				case 1 :
					echo "<li><a href='".$_SERVER['PHP_SELF']."?type_brevet=".$lig->type_brevet."'>Gnrer les fiches brevet pour ".$tab_type_brevet[$lig->type_brevet]."</a></li>\n";
				break;
				case 2 :
					echo "<li><a href='".$_SERVER['PHP_SELF']."?type_brevet=".$lig->type_brevet."'>Gnrer les fiches brevet pour ".$tab_type_brevet[$lig->type_brevet]."</a></li>\n";
				break;
				case 3 :
					echo "<li><a href='".$_SERVER['PHP_SELF']."?type_brevet=".$lig->type_brevet."'>Gnrer les fiches brevet pour ".$tab_type_brevet[$lig->type_brevet]."</a></li>\n";
				break;
				case 4 :
					echo "<li><a href='".$_SERVER['PHP_SELF']."?type_brevet=".$lig->type_brevet."'>Gnrer les fiches brevet pour ".$tab_type_brevet[$lig->type_brevet]."</a></li>\n";
				break;
				case 5 :
					echo "<li><a href='".$_SERVER['PHP_SELF']."?type_brevet=".$lig->type_brevet."'>Gnrer les fiches brevet pour ".$tab_type_brevet[$lig->type_brevet]."</a></li>\n";
				break;
				case 6 :
					echo "<li><a href='".$_SERVER['PHP_SELF']."?type_brevet=".$lig->type_brevet."'>Gnrer les fiches brevet pour ".$tab_type_brevet[$lig->type_brevet]."</a></li>\n";
				break;
				case 7 :
					echo "<li><a href='".$_SERVER['PHP_SELF']."?type_brevet=".$lig->type_brevet."'>Gnrer les fiches brevet pour ".$tab_type_brevet[$lig->type_brevet]."</a></li>\n";
				break;
			}
		}
	echo "</ul>\n";

	require("../../lib/footer.inc.php");
	die();
}

//========================
//===  FIN DU CHOIX DU BREVET ===
//========================


//===================
//=== Donnes communes ===
//===================

// Adresse tablissement:
$gepiSchoolName=getSettingValue("gepiSchoolName");
$gepiSchoolAdress1=getSettingValue("gepiSchoolAdress1");
$gepiSchoolAdress2=getSettingValue("gepiSchoolAdress2");
$gepiSchoolZipCode=getSettingValue("gepiSchoolZipCode");
$gepiSchoolCity=getSettingValue("gepiSchoolCity");


$tabmatieres=array();
for($j=101;$j<=122;$j++){
	$tabmatieres[$j]=array();
}

//========================
//=== Fin des donnes communes ===
//========================



//====================
//=== CHOIX DE LA CLASSE ===
//====================

if (!isset($id_classe)) {

	//**************** EN-TETE *****************
	require_once("../../lib/header.inc");
	//**************** FIN EN-TETE *****************

	// Choix de la classe:
	echo "<div class='noprint'>\n";
	echo "<p class='bold'><a href='../../accueil.php'>Accueil</a>";
	echo " | <a href='../index.php'>Accueil Notanet</a>";
	echo " | <a href='".$_SERVER['PHP_SELF']."'>Type de brevet</a>";
	echo " | <a href='".$_SERVER['PHP_SELF']."?parametrer=y'>Paramtrer</a>";
	echo "</p>\n";
	echo "</div>\n";

	// Les tables notanet ne sont pas renseignes, on s'arrte
	$call_data = mysql_query("SELECT DISTINCT c.* FROM classes c, periodes p, notanet n,notanet_ele_type net WHERE p.id_classe = c.id AND c.id=n.id_classe AND n.login=net.login AND net.type_brevet='$type_brevet' ORDER BY classe");
	if(!$call_data){
		echo "<p><font color='red'>Attention:</font> Il semble que vous n'ayez pas men la procdure notanet  son terme.<br />Cette procdure renseigne des tables requises pour gnrer les fiches brevet.<br />Effectuez la <a href='../index.php'>procdure notanet</a>.</p>\n";

		require("../../lib/footer.inc.php");
		die();
	}
	$nombre_lignes = mysql_num_rows($call_data);

	echo "<div>\n";

	echo "<p>Choisissez les classes pour lesquelles vous souhaitez gnrer les fiches brevet:</p>\n";

	echo "<form action='".$_SERVER['PHP_SELF']."' id='form_choix_classe' method='post'>\n";
	echo "<p><input type='hidden' name='type_brevet' value='$type_brevet' /></p>\n";
	echo "<p>Slectionnez les classes : </p>\n";
	echo "<blockquote>\n";

	$size=min(10,$nombre_lignes);
	echo "<p><select name='id_classe[]' multiple='multiple' size='$size'>\n";
	$i = 0;
	while ($i < $nombre_lignes){
		$classe = mysql_result($call_data, $i, "classe");
		$ide_classe = mysql_result($call_data, $i, "id");
		echo "<option value='$ide_classe'";
		if($nombre_lignes==1) {echo " selected='selected'";}
		echo ">$classe</option>\n";
		$i++;
	}
	echo "</select></p>\n";
	echo "<p>\n<label id='avec_app_label' style='cursor: pointer;'><input type='checkbox' name='avec_app' id='avec_app' value='y' checked='checked' /> Avec les apprciations</label>\n";
	echo "<input type='submit' name='choix_classe' value='Envoyer' />\n</p>\n";

	echo "</blockquote>\n";
	echo "</form>\n";

	// Fermeture du DIV container initialis dans le header.inc
	echo "</div>\n";
	require("../../lib/footer.inc.php");
	die();

}

//====================================
//=== FIN DU FORMULAIRE DE CHOIX DES CLASSES ===
//====================================


//==============================
// === Construction du tableau fiche brevet===
//==============================

// On rcupre le tableau des paramtres associs  ce type de brevet:
$tabmatieres=tabmatieres($type_brevet);

// tableau de correspondance Champs de $tabmatieres -> champs de publipostage OOo
$tab_champs_OOo=array();
for($j=101;$j<=122;$j++){
	if($tabmatieres[$j][0]!=''){
		$tab_champs_OOo[$j]=array();
		$tab_champs_OOo[$j][0]=$j;												// code de la matire
		$tab_champs_OOo[$j][1]=$tabmatieres[$j][0];			// Nom long
		$tab_champs_OOo[$j][2]="fb_note_".$j;						// Nom variable OOo
		switch($tabmatieres[$j][-1]){											// Coefficient
			case "NOTNONCA":																// Note non comptabilise
				$tab_champs_OOo[$j][3]="-1";
			break;
			case "PTSUP":																		// Seuls les points au dessus de la moyenne sont comptabiliss
				$tab_champs_OOo[$j][3]="0";
			break;
			case "POINTS":																		// On rcupre le coef
				if ($tabmatieres[$j]['socle']=='n'){
					$tab_champs_OOo[$j][3]=$tabmatieres[$j][-2];	// On rcupre le coef
				} else{
					$tab_champs_OOo[$j][3]="-2";									// cas du B2I et A2 langue
				}
			break;
		}
	}
}




/***** Donnes communes *****/
$fb_academie=getSettingValue("fb_academie");
$fb_departement=getSettingValue("fb_departement");
$fb_session=getSettingValue("fb_session");
// Si la session n'est pas renseigne, on la calcule
if($fb_session==""){
	$tmp_date=getdate();
	$tmp_mois=$tmp_date['mon'];
	if($tmp_mois>9){
		$fb_session=$tmp_date['year']+1;
	}
	else{
		$fb_session=$tmp_date['year'];
	}
}
// Mode de calcul des moyennes
$fb_mode_moyenne=getSettingValue("fb_mode_moyenne");
if($fb_mode_moyenne!=2){$fb_mode_moyenne=1;}


/***** Fin des donnes communes *****/



/***** Faut-il afficher le lieu de naissance *****/
$ele_lieu_naissance=getSettingValue("ele_lieu_naissance") ? getSettingValue("ele_lieu_naissance") : "n";

// cration d'un tableau pour stocker les notes d'lves
$tab_eleves_OOo=array();
$nb_eleve=0;

// BOUCLE SUR LA LISTE DES CLASSES

for($i=0;$i<count($id_classe);$i++){

	// Calcul des moyennes de classes... pb avec le statut...
	$moy_classe=array();
	for($j=101;$j<=122;$j++){
		if($tabmatieres[$j][0]!=''){
			$sql="SELECT ROUND(AVG(note),1) moyenne FROM notanet WHERE note!='DI' AND note!='AB' AND note!='NN' AND id_classe='$id_classe[$i]' AND notanet_mat='".$tabmatieres[$j][0]."'";
			$res_moy=mysql_query($sql);
			if(mysql_num_rows($res_moy)>0){
				$lig_moy=mysql_fetch_object($res_moy);
				$moy_classe[$j]=$lig_moy->moyenne;
			}
			else{
				$moy_classe[$j]="";
			}
		}
	}


	// Rcupration du statut des matires : ceux valids lors du traitement NOTANET
	// pour reprer les matires non dispenses.
	for($j=101;$j<=122;$j++){
		if($tabmatieres[$j][0]!=''){
			$sql="SELECT * FROM notanet_corresp WHERE notanet_mat='".$tabmatieres[$j][0]."' AND type_brevet='$type_brevet' LIMIT 1";
			$res=mysql_query($sql);
			if(mysql_num_rows($res)>0){
				$lig=mysql_fetch_object($res);
				$tabmatieres[$j][-4]=$lig->statut;
				$tabmatieres[$j][-5]=$lig->matiere;
			}
			else{
				$tabmatieres[$j][-4]="";
				$tabmatieres[$j][-5]="";
			}
		}
	}


	//echo "<div class='noprint'>\n";

	$sql="SELECT DISTINCT e.* FROM eleves e,
									notanet n,
									notanet_ele_type net
							WHERE n.id_classe='$id_classe[$i]' AND
									n.login=e.login AND
									net.login=n.login AND
									net.type_brevet='$type_brevet'
							ORDER BY e.login;";
	$res1=mysql_query($sql);
	if(mysql_num_rows($res1)>0){
		// Boucle sur la liste des lves
		while($lig1=mysql_fetch_object($res1)){

			$tab_eleves_OOo[$nb_eleve]=array();
			$tab_eleves_OOo[$nb_eleve]['nom']=$lig1->nom;
			$tab_eleves_OOo[$nb_eleve]['prenom']=$lig1->prenom;
			$tab_eleves_OOo[$nb_eleve]['fille']="";										// on initialise les champs pour ne pas avoir d'erreurs
			if($lig1->sexe=='F') {$tab_eleves_OOo[$nb_eleve]['fille']="e";} // ajouter un e  ne si l'lve est une fille
			$tab_eleves_OOo[$nb_eleve]['date_nais']=formate_date($lig1->naissance);
			$tab_eleves_OOo[$nb_eleve]['lieu_nais']="";										// on initialise les champs pour ne pas avoir d'erreurs
			if($ele_lieu_naissance=="y") {$tab_eleves_OOo[$nb_eleve]['lieu_nais']=preg_replace ( '@<[\/\!]*?[^<>]*?>@si'  , ''  , get_commune($lig1->lieu_naissance,1)) ;} // rcuprer la commune
			$tab_eleves_OOo[$nb_eleve]['ecole']=$gepiSchoolName;
			$tab_eleves_OOo[$nb_eleve]['adresse1']=$gepiSchoolAdress1;
			$tab_eleves_OOo[$nb_eleve]['adresse2']=$gepiSchoolAdress2;
			$tab_eleves_OOo[$nb_eleve]['codeposte']=$gepiSchoolZipCode;
			$tab_eleves_OOo[$nb_eleve]['commune']=$gepiSchoolCity;
			$tab_eleves_OOo[$nb_eleve]['acad']=strtoupper($fb_academie);
			$tab_eleves_OOo[$nb_eleve]['departe']=$fb_departement;
			$tab_eleves_OOo[$nb_eleve]['session']=$fb_session;

			$sql="SELECT doublant FROM j_eleves_regime WHERE login='".$lig1->login."';";
			$res_reg=mysql_query($sql);
			$doublant='n';
			if(mysql_num_rows($res_reg)>0) {
				$lig_reg=mysql_fetch_object($res_reg);
				if($lig_reg->doublant=='R') {
					$doublant='y';
				}
			}
			$tab_eleves_OOo[$nb_eleve]['redoublant']=$doublant;

			//=======================================

			if(($type_brevet==0)||($type_brevet==1)||($type_brevet==2)||($type_brevet==3)||($type_brevet==4)||($type_brevet==5)||($type_brevet==6)||($type_brevet==7)){

				$TOTAL=0;
				$TOTAL_COEF=0;
				$TOTAL_POINTS=0;
				for($j=101;$j<=122;$j++){

					//if ($tab_champs_OOo[$j][0]!='') {
					if ((isset($tab_champs_OOo[$j][0]))&&($tab_champs_OOo[$j][0]!='')) {

						$tab_eleves_OOo[$nb_eleve][$j]=array();
						for($l=0;$l<=4;$l++){
							$tab_eleves_OOo[$nb_eleve][$j][$l]=""; 						// on initialise les champs pour ne pas avoir d'erreurs
						}
						if($tab_champs_OOo[$j][3]>-2) {$tab_eleves_OOo[$nb_eleve][$j][3] = $moy_classe[$j];}

						$sql="SELECT note FROM notanet WHERE login='$lig1->login' AND id_classe='$id_classe[$i]' AND notanet_mat='".$tabmatieres[$j][0]."'";
						$res_note=mysql_query($sql);
						if(mysql_num_rows($res_note)>0){
							$lig_note=mysql_fetch_object($res_note);
							$tab_eleves_OOo[$nb_eleve][$j][0]=$lig_note->note;			// On rcupre la note

							switch($tab_champs_OOo[$j][3]){
								case '-2':      										// Socle B2I et A2
								  // rechercher la langue
								  if ($j=='115') {
									$sql_langue="SELECT m.nom_complet FROM matieres m,
																		   notanet_socles s
																	  WHERE m.matiere=s.lv AND
																			login='$lig1->login'";
									$res_lang=mysql_query($sql_langue);
									if(mysql_num_rows($res_lang)>0){
									  $lig_matiere=mysql_fetch_object($res_lang);
									  $tab_eleves_OOo[$nb_eleve][115][1]=$lig_matiere->nom_complet;
									}
									else {
									  $tab_eleves_OOo[$nb_eleve][115][1]='';
									}
								  }
								break;
								case '-1':												// Note non prise en compte dans le calcul
									// on calcule la moyenne de la matire
									include("fb_moyenne.inc.php");
									// on va chercher les apprciations si besoin
									include("fb_appreciation.inc.php");
								break;
								case '0':												// Seuls les points au dessus de la moyenne comptent
									// on cherche le nom de l'option
									$sql_mat_fac="SELECT matiere FROM notanet WHERE login='$lig1->login' AND id_classe='$id_classe[$i]' AND notanet_mat='".$tabmatieres[$j][0]."'";
									$res_mat_fac=mysql_query($sql_mat_fac);
									if(mysql_num_rows($res_mat_fac)>0){
										$lig_mat_fac=mysql_fetch_object($res_mat_fac);
										$tab_eleves_OOo[$nb_eleve][$j][2]=ucfirst(accent_min(strtolower($lig_mat_fac->matiere)));
									}
									// on calcule la moyenne de la matire
									include("fb_moyenne.inc.php");

									// on va chercher les apprciations si besoin
									include("fb_appreciation.inc.php");

									// on extrait les points  ajouter
									if($tab_eleves_OOo[$nb_eleve][$j][0]>10) {
										$tab_eleves_OOo[$nb_eleve][$j][1]=($lig_note->note)-10;
										$TOTAL_POINTS= $TOTAL_POINTS+$tab_eleves_OOo[$nb_eleve][$j][1];
									}
								break;
								default:
									// on cherche le nom de la matire
									$sql_mat_fac="SELECT matiere FROM notanet WHERE login='$lig1->login' AND id_classe='$id_classe[$i]' AND notanet_mat='".$tabmatieres[$j][0]."'";
									$res_mat_fac=mysql_query($sql_mat_fac);
									if(mysql_num_rows($res_mat_fac)>0){
										$lig_mat_fac=mysql_fetch_object($res_mat_fac);
										$tab_eleves_OOo[$nb_eleve][$j][2]=ucfirst(accent_min(strtolower($lig_mat_fac->matiere)));
									}

									// On calcul la note coefficiente
									if($tab_eleves_OOo[$nb_eleve][$j][0]!="DI" && $tab_eleves_OOo[$nb_eleve][$j][0]!="NN" && $tab_eleves_OOo[$nb_eleve][$j][0]!="ABS") {
										$tab_eleves_OOo[$nb_eleve][$j][1]=($lig_note->note)*$tab_champs_OOo[$j][3];
										$TOTAL_POINTS =$TOTAL_POINTS+$tab_eleves_OOo[$nb_eleve][$j][1];
										$TOTAL_COEF= $TOTAL_COEF+$tab_champs_OOo[$j][3];
									}else {
										$tab_eleves_OOo[$nb_eleve][$j][1]=$tab_eleves_OOo[$nb_eleve][$j][0];
									}
									// on calcule la moyenne de la matire
									include("fb_moyenne.inc.php");

									// on va chercher les apprciations si besoin
									include("fb_appreciation.inc.php");

								//break;
							}
						}else{				// l'leve n'a pas de note
							// on va chercher les apprciations si besoin
							include("fb_appreciation.inc.php");
						}
					}
				}
                // Langue rgionale

                $sql="SELECT * FROM notanet_lvr_ele WHERE login='$lig1->login' ";
                $res_note=mysql_query($sql);
                if(mysql_num_rows($res_note)>0){
                  $lig_note=mysql_fetch_object($res_note);
                  $tab_eleves_OOo[$nb_eleve][130][0]=$lig_note->note;
                  $sql_lvr="SELECT Intitule FROM notanet_lvr WHERE id='$lig_note->id_lvr' ";
                  $res_lvr=mysql_query($sql_lvr);
                  if(mysql_num_rows($res_lvr)>0){
                    $lig_lvr=mysql_fetch_object($res_lvr);
                    $tab_eleves_OOo[$nb_eleve][130][1]=$lig_lvr->Intitule;
                  }
                }
                else{
                    $tab_eleves_OOo[$nb_eleve][130][0]="";
                    $tab_eleves_OOo[$nb_eleve][130][1]="";
                }

			}
			// ************************************************************************************************
			// ************************************************************************************************
			// ************************************************************************************************
			else{
				// echo "<p>BIZARRE! Ce type de brevet n'est pas prvu</p>";
			}

			// ************************************************************************************************
			//	 On rcupre l'avis du chef d'tablissement
			$tab_eleves_OOo[$nb_eleve]['decision']="";						// on initialise le champ pour ne pas avoir d'erreur
			$tab_eleves_OOo[$nb_eleve]['appreciation']= "";			// on initialise le champ pour ne pas avoir d'erreur
			$tab_eleves_OOo[$nb_eleve]['avis']= "";			// on initialise le champ pour ne pas avoir d'erreur

			$sql="SELECT * FROM notanet_avis WHERE login='$lig1->login';";
			$res_avis=mysql_query($sql);
			if(mysql_num_rows($res_avis)>0) {
				$lig_avis=mysql_fetch_object($res_avis);
				if($lig_avis->favorable=="O") {$tab_eleves_OOo[$nb_eleve]['decision']="Avis favorable";}
				elseif($lig_avis->favorable=="N") {$tab_eleves_OOo[$nb_eleve]['decision']="Avis dfavorable";}
				//$tab_eleves_OOo[$nb_eleve]['appreciation']= htmlentities($lig_avis->avis);
				$tab_eleves_OOo[$nb_eleve]['appreciation']= $lig_avis->avis;
				$tab_eleves_OOo[$nb_eleve]['avis']=$lig_avis->favorable;
			}

			$tab_eleves_OOo[$nb_eleve]['totalpoints']=$TOTAL_POINTS;
			$tab_eleves_OOo[$nb_eleve]['totalcoef']=$TOTAL_COEF*20;
			$tab_eleves_OOo[$nb_eleve]['classe']=get_classe_from_id($id_classe[$i]);



			$nb_eleve=$nb_eleve+1;
		}
		// Fin de la boucle sur la liste des lves
	}

	// FIN DE LA BOUCLE SUR LA LISTE DES CLASSES
}

//================================
// === Fin construction du tableau fiche brevet===
//================================


?>
