<?php

/**
 * Description of GroupeHelper
 *  Classe qui implemente des methodes statiques pour gr un groupe ou un tableau de groupe
 *
 * @author joss
 */
class GroupeHelper {
 
 	/**
	 * Compare deux groupes par ordre alphabtique de leur nom (avec les noms de classes d'eleves associe)
	 *
	 * @param      array $groupeA Le premier groupe a coparer
	 * @param      array $groupeB Le deuxieme groupe a comparer
	 * @return     int un entier, qui sera infrieur, gal ou suprieur  zro suivant que le premier argument est considr comme plus petit, gal ou plus grand que le second argument.
	 */
	public static function compareGroupe($a, $b) {
		//echo($a->getDescriptionAvecClasses());
		return strcmp($a->getNameAvecClasses(), $b->getNameAvecClasses());
	}

 	/**
	 * 
	 * Classe un tableau de groupe par ordre alphabtique de leur nom (avec les noms de classes d'eleves associe)
	 *
	 * @param      array $groupes Le tableau de groupes
	 * @return     array $groupes Un tableau de groupe ordonns
	 * @throws     PropelException - if unable to parse/validate the date/time value.
	 */
	public static function orderByGroupNameWithClasses(PropelObjectCollection $groupes) {
		$groupes->uasort(array("GroupeHelper", "compareGroupe"));
		return $groupes;
	}
}
?>